Skip to main content
GET
/
milestone
/
{milestone_id}
/
update
Get Milestone Update
curl --request GET \
  --url https://api.pathstack.io/milestone/{milestone_id}/update \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.pathstack.io/milestone/{milestone_id}/update"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.pathstack.io/milestone/{milestone_id}/update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "milestone_id": "<string>",
    "connection_id": "<string>",
    "device_id": "<string>",
    "system_device_id": "<string>",
    "current_position": {
      "timestamp": "<string>",
      "longitude": 123,
      "latitude": 123,
      "heading": 123,
      "speed": {
        "speed_kph": 123
      },
      "driver_id": {
        "value": "<string>"
      }
    },
    "eta": "<string>",
    "distance_to_destination_km": 123,
    "last_updated_at": "2023-11-07T05:31:56Z"
  }
}
{
  "error": {
    "code": 400,
    "message": "Invalid JWT format"
  }
}
{
  "error": {
    "code": 401,
    "message": "Authentication header is missing, or token is invalid/expired."
  }
}
{
  "error": {
    "code": 403,
    "message": "You do not have access to this resource"
  }
}
{
  "error": {
    "code": 404,
    "message": "Unknown Milestone id <uuid>"
  }
}
{
  "error": {
    "code": 422,
    "message": "Field required",
    "loc": [
      "<string>"
    ],
    "msg": "<string>",
    "type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string<date>
default:2024-03-27

Path Parameters

milestone_id
string<uuid>
required

ID of the Milestone to be returned

Response

Successful Response

data
MilestoneValidState · object
required

Successful response payload